{
	if (!$tomb) throw new Error('Dev Actions only works with the Tomb mod loader.\n\nPlease install Tomb or let Basil know that you want support for another loader.');

	const actions = [
		['Reload', () => chrome.runtime.reload()],
		['Devtools', () => require('nw.gui').Window.get().showDevTools()],
		['FPS Meter', () => Graphics._switchFPSMeter()],
	];

	function makeButton(container, text, callback) {
		const el = document.createElement('button');
		el.style.padding = '4px 8px';
		el.style.border = '1px solid #931b2b';
		el.style.borderRadius = '4px';
		el.style.background = '#480e15';
		el.style.color = 'white';
		el.style.font = 'inherit';
		el.style.cursor = 'pointer';
		el.innerText = text;
		el.addEventListener('click', callback);
		container.append(el);
	}

	function makeContainer() {
		const container = document.createElement('div');
		container.style.zIndex = '9999';
		container.style.position = 'absolute';
		container.style.top = '4px';
		container.style.left = '4px';
		container.style.display = 'flex';
		container.style.flexDirection = 'column';
		container.style.gap = '4px';
		document.body.append(container);

		return container;
	}

	function init() {
		const container = makeContainer();

		for (const [text, fn] of actions) {
			makeButton(container, text, fn);
		}

		$tomb.lib.spitroast.after(
			'showFps',
			Graphics,
			function () {
				container.style.top = '65px';
			}
		);

		$tomb.lib.spitroast.after(
			'hideFps',
			Graphics,
			function () {
				container.style.top = '4px';
			}
		);
	}

	const i = setInterval(() => {
		if (document.querySelector('canvas')) {
			clearInterval(i);
			
			init();
		}
	}, 200);
}
